FOODSbyme

API 文档为英文版本。

API 参考

Settlement API

Reconcile earnings and payouts.

Retrieve granular settlement data — what was earned, what’s pending, and what’s been paid. Reconcile FOODS payouts against your own ledger and pay your riders with confidence.

功能

  • List settlements by period
  • Break earnings down per order and per rider
  • Retrieve payout statements
  • Reconcile against your ledger

端点

GET/v1/settlements

List settlements for a period

GET/v1/settlements/{id}

Retrieve a settlement statement

GET/v1/earnings

Per-order earnings breakdown

Retrieve a settlement statement

请求
curl https://api.foodsbyme.com/v1/settlements/set_2026w24 \
  -H "Authorization: Bearer $FOODS_PARTNER_KEY"
响应 · 200 OK
{
  "id": "set_2026w24",
  "period": "2026-W24",
  "currency": "NGN",
  "gross": 1840500,
  "deductions": 0,
  "net": 1840500,
  "status": "paid",
  "orders_count": 2166,
  "paid_at": "2026-06-16T09:00:00Z"
}

准备好对接了吗?

申请伙伴密钥,我们的解决方案团队会帮你顺利上线。